searchData={"items":[{"type":"module","title":"ExSTARS","doc":"Documentation for `ExSTARS`.","ref":"ExSTARS.html"},{"type":"function","title":"ExSTARS.send/1","doc":"Send a message.","ref":"ExSTARS.html#send/1"},{"type":"function","title":"Example - ExSTARS.send/1","doc":"iex> ExSTARS.send(\"term1 stars\")\n    :ok\n    iex> ExSTARS.send(\"System help\")\n    :ok","ref":"ExSTARS.html#send/1-example"},{"type":"function","title":"ExSTARS.send/2","doc":"Send a message using the specified client.","ref":"ExSTARS.html#send/2"},{"type":"function","title":"Example - ExSTARS.send/2","doc":"iex> ExSTARS.send(\"term1\", \"System help\")\n    :ok","ref":"ExSTARS.html#send/2-example"},{"type":"function","title":"ExSTARS.start_client/3","doc":"Start STARS client.","ref":"ExSTARS.html#start_client/3"},{"type":"function","title":"Example - ExSTARS.start_client/3","doc":"iex> ExSTARS.start_client({127, 0, 0, 1}, 6057)\n    :ok","ref":"ExSTARS.html#start_client/3-example"},{"type":"function","title":"ExSTARS.start_client/5","doc":"Start STARS client.","ref":"ExSTARS.html#start_client/5"},{"type":"function","title":"Example - ExSTARS.start_client/5","doc":"iex> ExSTARS.start_client(\"term1\", \"stars\", {127, 0, 0, 1}, 6057)\n    :ok","ref":"ExSTARS.html#start_client/5-example"},{"type":"extras","title":"ExSTARS","doc":"# ExSTARS\n\n[![hex](https://img.shields.io/hexpm/v/ex_stars.svg)](https://hex.pm/packages/ex_stars)\n[![CI](https://github.com/tombo-works/ex_stars/actions/workflows/ci.yaml/badge.svg)](https://github.com/tombo-works/ex_stars/actions/workflows/ci.yaml)\n[![license](https://img.shields.io/hexpm/l/ex_stars.svg)](https://github.com/tombo-works/ex_stars/blob/main/REUSE.toml)\n[![REUSE](https://api.reuse.software/badge/github.com/tombo-works/ex_stars)](https://api.reuse.software/info/github.com/tombo-works/ex_stars)\n\nElixir STARS library.","ref":"readme.html"},{"type":"extras","title":"How to use - ExSTARS","doc":"```elixir\niex(1)> ExSTARS.start_client(\"term1\", \"stars\", {127, 0, 0, 1}, 6057)\n:ok\n\n09:03:53.215 [debug] 8414\nSystem>term1 Ok:\n\niex(2)> ExSTARS.send(\"term1\", \"System help\")\n:ok\n\n09:04:21.950 [debug] System>term1 @help flgon flgoff loadaliases listaliases loadpermission loadreconnectablepermission listnodes getversion gettime hello disconnect\n```","ref":"readme.html#how-to-use"},{"type":"extras","title":"Installation - ExSTARS","doc":"If [available in Hex](https://hex.pm/docs/publish), the package can be installed\nby adding `ex_stars` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:ex_stars, \"~> 0.1.0\"}\n  ]\nend\n```\n\nDocumentation can be generated with [ExDoc](https://github.com/elixir-lang/ex_doc)\nand published on [HexDocs](https://hexdocs.pm). Once published, the docs can\nbe found at  .","ref":"readme.html#installation"},{"type":"extras","title":"STARS References - ExSTARS","doc":"- WEB: https://stars.kek.jp/\n  - [STARS tutorial](https://stars.kek.jp/lib/exe/fetch.php?media=stars_tutorial.pdf)\n    (PDF A5, fits screen or tablet, in Japanse, Ver.1.1 27 Mar 2013, 1.67MB)","ref":"readme.html#stars-references"},{"type":"extras","title":"License - ExSTARS","doc":"This project is licensed under the Apache-2.0 license.\n\nAnd this project follows the REUSE compliance.\nFor more details, see the [REUSE SOFTWARE](https://reuse.software/).","ref":"readme.html#license"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}